package  
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import flash.text.TextField;
	/**
	 * ...
	 * @author Shiu
	 */
	[SWF(width = 400, height = 300)]
	public class Matrix_Bitmap2 extends Sprite
	{
		private var bar1:Edge, bar2:Edge;
		private var bdat1:BitmapData, bdat2:BitmapData;
		private var t1:TextField;
		
		public function Matrix_Bitmap2() 
		{
			bar1 = new Edge(); addChild(bar1);
			bar1.x = stage.stageWidth * 0.3; bar1.y = stage.stageHeight * 0.2; 
			bdat1 = new BitmapData(81.5, 33.5, true, 0x00000000);	//bug fixed, forgot to update dimension of new drawing
			bdat1.draw(bar1);
			
			bar2 = new Edge(); addChild(bar2);
			bdat2 = new BitmapData(81.5, 33.5, true, 0x00000000);	//bug fixed, forgot to update dimension of new drawing
			bdat2.draw(bar2);
			
			bar2.addEventListener(MouseEvent.MOUSE_DOWN, start);
			bar2.addEventListener(MouseEvent.MOUSE_UP, end);
			
			t1 = new TextField(); addChild(t1);
			t1.x = stage.stageWidth * 0.2; t1.y = stage.stageHeight * 0.8; 
			t1.width = 300; t1. height = 100;
			
			stage.addEventListener(Event.ENTER_FRAME, check);
		}
	
		private function start(e:MouseEvent):void 
		{
			e.target.startDrag();
		}
		
		private function end(e:MouseEvent):void 
		{
			e.target.stopDrag();
		}
			
		private function check(e:Event):void 
		{
			var point1:Point = new Point(bar1.x, bar1.y);
			var point2:Point = new Point(bar2.x, bar2.y);
			var threshold:Number = 255*0.5
			if (bdat1.hitTest(point1, threshold, bdat2, point2, threshold)) {
				t1.text = "At least one pixel has collided"
			}
			else {
				t1.text = "No collision"
			}
		}
	}

}