package  
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import flash.text.TextField;
	/**
	 * ...
	 * @author Shiu
	 */
	[SWF(width = 400, height = 300)]
	public class Matrix_Bitmap extends Sprite
	{
		private var coconut:CTree, hk:Hook;
		private var bdat1:BitmapData, bdat2:BitmapData;
		private var t1:TextField;
		
		public function Matrix_Bitmap() 
		{
			coconut = new CTree(); addChild(coconut);
			coconut.x = stage.stageWidth * 0.3; coconut.y = stage.stageHeight * 0.2; 
			bdat1 = new BitmapData(150, 150, true, 0x00000000);
			bdat1.draw(coconut);
			
			hk = new Hook(); addChild(hk);
			bdat2 = new BitmapData(100, 50, true, 0x00000000);
			bdat2.draw(hk);
			
			hk.addEventListener(MouseEvent.MOUSE_DOWN, start);
			hk.addEventListener(MouseEvent.MOUSE_UP, end);
			
			t1 = new TextField(); addChild(t1);
			t1.x = stage.stageWidth * 0.2; t1.y = stage.stageHeight * 0.8; 
			t1.width = 300; t1. height = 100;
			
			stage.addEventListener(Event.ENTER_FRAME, check);
		}
	
		private function start(e:MouseEvent):void 
		{
			e.target.startDrag();
		}
		
		private function end(e:MouseEvent):void 
		{
			e.target.stopDrag();
		}
			
		private function check(e:Event):void 
		{
			var point1:Point = new Point(coconut.x, coconut.y);
			var point2:Point = new Point(hk.x, hk.y);
			if (bdat1.hitTest(point1, 255, bdat2, point2, 255)) {
				t1.text = "At least one pixel has collided"
			}
			else {
				t1.text = "No collision"
			}
		}
	}

}